Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.mime
Class Multipart

    java.lang.Object
      com.vordel.mime.Body
          com.vordel.mime.CompoundBody
              com.vordel.mime.Multipart

All Implemented Interfaces:
  com.vordel.system.Disposable

    public class Multipart

extends CompoundBody

A bodypart representing a multipart mime message. The constructor delegates the parsing of the content to other registered content handlers, which parse the input from the BoundaryInputStream above, which properly delimits the source input based on the MIME boundary.

A Multipart body implements the CompoundBody interface, and exposes no specific methods of its own.

Nested Class Summary
`static class` | `Multipart.Factory`

Field Summary

Fields inherited from class com.vordel.mime.CompoundBody
`rootPartId`

Fields inherited from class com.vordel.mime.Body
`CAN_INVALIDATE, contentType, CT_APP_OCTET_STREAM, CT_DEFAULT, CT_MULTIPART_RELATED, CT_TEXT_PLAIN, CT_TEXT_XML_UTF8, CT_XOP_APPLICATION_XML, headers, PUSH_WRITE, REMOVE_XFER_ENCODING_ON_WRITE, RETAIN_XFER_ENCODING_ON_READ`

Constructor Summary
`Multipart(ContentType contentType)`
`Multipart(HeaderSet headers, ContentType contentType)`

Method Summary
`boolean` | `contentAvailable()`
`void` | `parse(java.io.InputStream input)` Parse a body from a specific InputStream.
`void` | `writeContent(java.io.OutputStream os, int flags)` Write the content of the body to the specified OutputStream This is similar to `Body.write(java.io.OutputStream, int)`, but does not include the headers for the body.

Methods inherited from class com.vordel.mime.CompoundBody
`addPart, addPart, clear, getPart, getParts, getPartsById, getPartsByIdMap, getPartsCount, getStartPart, purgeContent, removePart, removePart, replacePart, setStartPartID`

Methods inherited from class com.vordel.mime.Body
`bufferInput, create, dispose, fini, getContentEncoding, getContentId, getContentLength, getContentType, getHeaders, getInputStream, getParent, getSource, initSource, parse, registerFactory, setParent, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Multipart

    public Multipart(ContentType contentType)
              throws java.io.IOException

Throws:
  `java.io.IOException`

### Multipart

    public Multipart(HeaderSet headers,
                     ContentType contentType)

Method Detail

### contentAvailable

    public boolean contentAvailable()

  Specified by:
    `contentAvailable` in class `Body`

### writeContent

    public void writeContent(java.io.OutputStream os,
                             int flags)
                      throws java.io.IOException

  Description copied from class: `Body`
  Write the content of the body to the specified OutputStream This is similar to `Body.write(java.io.OutputStream, int)`, but does not include the headers for the body.

  Specified by:
    `writeContent` in class `Body`
  Throws:
    `java.io.IOException`
  See Also:
    `#wrote`

### parse

    public void parse(java.io.InputStream input)
               throws java.io.IOException

  Description copied from class: `Body`
  Parse a body from a specific InputStream.

  This should be considered "private" to callers: it must be invoked via `Body.parse()`

  Specified by:
    `parse` in class `Body`
  Throws:
    `java.io.IOException`
  See Also:
    `Body.parse()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel